Bug 698619 - Segmentation fault when using ypcat without hostname
Summary: Segmentation fault when using ypcat without hostname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yp-tools
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-21 11:51 UTC by Honza Horak
Modified: 2011-05-25 02:28 UTC (History)
2 users (show)

Fixed In Version: yp-tools-2.11-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 02:23:19 UTC


Attachments (Terms of Use)

Description Honza Horak 2011-04-21 11:51:23 UTC
Description of problem:
When running "yppoll passwd.byname" without hostname, it crashes with segmentation fault.

Version-Release number of selected component (if applicable):
rpm -q yp-tools
yp-tools-2.12-4.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. run yppoll passwd.byname
  
Actual results:
Segmentation fault

Expected results:
Program returns info about map

Additional info:

Comment 1 Fedora Update System 2011-05-06 12:58:26 UTC
yp-tools-2.11-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yp-tools-2.11-6.fc14

Comment 2 Fedora Update System 2011-05-06 13:02:18 UTC
yp-tools-2.12-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/yp-tools-2.12-6.fc15

Comment 3 Fedora Update System 2011-05-07 02:52:28 UTC
Package yp-tools-2.11-6.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yp-tools-2.11-6.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/yp-tools-2.11-6.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-05-25 02:23:14 UTC
yp-tools-2.12-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-05-25 02:28:42 UTC
yp-tools-2.11-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.